org.apache.ignite.internal.processors.cache.persistence.pagemem

## Enum PageMemoryImpl.ThrottlingPolicy

- java.lang.Object
- - java.lang.Enum<PageMemoryImpl.ThrottlingPolicy>
  - - org.apache.ignite.internal.processors.cache.persistence.pagemem.PageMemoryImpl.ThrottlingPolicy

All Implemented Interfaces:
  Serializable, Comparable<PageMemoryImpl.ThrottlingPolicy>

Enclosing class:
  PageMemoryImpl

    public static enum PageMemoryImpl.ThrottlingPolicy
    extends Enum<PageMemoryImpl.ThrottlingPolicy>

Throttling enabled and its type enum.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CHECKPOINT_BUFFER_ONLY` Only exponential throttling is used to protect from CP buffer overflow.
`DISABLED` All ways of throttling are disabled.
`SPEED_BASED` Speed based.
`TARGET_RATIO_BASED` Target ratio based: CP progress is used as border.

### Method Summary

All Methods Static Methods Concrete Methods
`static PageMemoryImpl.ThrottlingPolicy` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PageMemoryImpl.ThrottlingPolicy[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DISABLED

    public static final PageMemoryImpl.ThrottlingPolicy DISABLED

All ways of throttling are disabled.

#### CHECKPOINT_BUFFER_ONLY

    public static final PageMemoryImpl.ThrottlingPolicy CHECKPOINT_BUFFER_ONLY

Only exponential throttling is used to protect from CP buffer overflow.

#### TARGET_RATIO_BASED

    public static final PageMemoryImpl.ThrottlingPolicy TARGET_RATIO_BASED

Target ratio based: CP progress is used as border.

#### SPEED_BASED

    public static final PageMemoryImpl.ThrottlingPolicy SPEED_BASED

Speed based. CP writting speed and estimated ideal speed are used as border

### Method Detail

#### values

    public static PageMemoryImpl.ThrottlingPolicy[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PageMemoryImpl.ThrottlingPolicy c : PageMemoryImpl.ThrottlingPolicy.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PageMemoryImpl.ThrottlingPolicy valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021